Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal.ast.tree
Class IsNullLogicOperatorNode

    java.lang.Object
      antlr.BaseAST
          antlr.CommonAST
              org.hibernate.hql.internal.ast.tree.Node
                  org.hibernate.hql.internal.ast.tree.SqlNode
                      org.hibernate.hql.internal.ast.tree.HqlSqlWalkerNode
                          org.hibernate.hql.internal.ast.tree.UnaryLogicOperatorNode
                              org.hibernate.hql.internal.ast.tree.AbstractNullnessCheckNode
                                  org.hibernate.hql.internal.ast.tree.IsNullLogicOperatorNode

All Implemented Interfaces:
  antlr.collections.AST, Serializable, InitializeableNode, OperatorNode, UnaryOperatorNode

    public class IsNullLogicOperatorNode

extends AbstractNullnessCheckNode

Represents a 'is null' check.

See Also:
  Serialized Form

Field Summary

Fields inherited from class antlr.BaseAST
`down, right`

Constructor Summary
`IsNullLogicOperatorNode()`

Method Summary
`protected String` | `getExpansionConnectorText()` When (if) we need to expand a row value constructor, what is the text of the connector to use between the expansion fragments.
`protected int` | `getExpansionConnectorType()` When (if) we need to expand a row value constructor, what is the type of connector to use between the expansion fragments.

Methods inherited from class org.hibernate.hql.internal.ast.tree.AbstractNullnessCheckNode
`initialize`

Methods inherited from class org.hibernate.hql.internal.ast.tree.UnaryLogicOperatorNode
`getDataType, getOperand`

Methods inherited from class org.hibernate.hql.internal.ast.tree.HqlSqlWalkerNode
`getAliasGenerator, getASTFactory, getSessionFactoryHelper, getWalker, initialize`

Methods inherited from class org.hibernate.hql.internal.ast.tree.SqlNode
`getOriginalText, setDataType, setText`

Methods inherited from class org.hibernate.hql.internal.ast.tree.Node
`getColumn, getFilename, getLine, getRenderText, getTextLength, initialize, initialize`

Methods inherited from class antlr.CommonAST
`getText, getType, initialize, setType`

Methods inherited from class antlr.BaseAST
`addChild, decode, encode, equals, equalsList, equalsListPartial, equalsTree, equalsTreePartial, findAll, findAllPartial, getFirstChild, getNextSibling, getNumberOfChildren, getTokenNames, removeChildren, setFirstChild, setNextSibling, setVerboseStringConversion, toString, toStringList, toStringTree, xmlSerialize, xmlSerializeNode, xmlSerializeRootClose, xmlSerializeRootOpen`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IsNullLogicOperatorNode

    public IsNullLogicOperatorNode()

Method Detail

### getExpansionConnectorType

    protected int getExpansionConnectorType()

  Description copied from class: `AbstractNullnessCheckNode`
  When (if) we need to expand a row value constructor, what is the type of connector to use between the expansion fragments.

  Specified by:
    `getExpansionConnectorType` in class `AbstractNullnessCheckNode`
  Returns:
    The expansion connector type.

### getExpansionConnectorText

    protected String getExpansionConnectorText()

  Description copied from class: `AbstractNullnessCheckNode`
  When (if) we need to expand a row value constructor, what is the text of the connector to use between the expansion fragments.

  Specified by:
    `getExpansionConnectorText` in class `AbstractNullnessCheckNode`
  Returns:
    The expansion connector text.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.